artikelpage/urls.py
from django.urls import path
from .views import HomeView, ArticleDetailView, AddPostView, UpdatePostView, DeletePost
from . import views

app_name = 'artikelpage'

urlpatterns = [
    path('', HomeView.as_view(), name='artikel'),
    path('artdetail/<int:pk>', ArticleDetailView.as_view(), name='article-detail'),
    path('addarticle/', AddPostView.as_view(), name='add_article'),
    path('artdetail/edit/<int:pk>', UpdatePostView.as_view(), name='update'),
    path('artdetail/delete/<int:pk>', DeletePost.as_view(), name='delete'),
    path('searchMusic/', views.music, name='music'),
]

faq/urls.py
from django.urls import path
from . import views

app_name = 'faq'

urlpatterns = [
    path('', views.index, name='faq'),
    path('list-faq/', views.ViewQuestion, name='list_faq'),
    path('list/', views.getQuestions, name='get_faq'),
]

home/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('login/', views.masuk, name = 'login'),
    path('daftar/', views.baru, name='daftar'),
    path('logout/', views.keluar, name='logout'),
]

tk2ppw/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('home/', include(('home.urls', 'home'), namespace='home')),
    path('daftarjadwal/', include('daftarjadwal.urls')),
    path('artikelpage/', include('artikelpage.urls')),
    path('faq/', include('faq.urls')),
    path('feedback/', include('feedback.urls')),
]

home/models.py
from django.db import models
# Create your models here.

home/forms.py
from django import forms

class buatlogin(forms.Form):
    username = forms.CharField(widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'type' : 'text',
        'placeholder' : "Username",
        'required' : True,
    }))
    password = forms.CharField(widget=forms.PasswordInput(attrs={
        'class' : 'form-control',
        'type' : 'password',
        'placeholder' : "Password",
        'required' : True,
    }))

class buatbaru(forms.Form):
    username = forms.CharField(widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'type' : 'text',
        'placeholder' : "Username",
        'required' : True,
    }))
    email = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control', 
        'type' : 'text', 
        'placeholder' : 'Email' , 
        'required' : True,
    }))
    password = forms.CharField(widget=forms.PasswordInput(attrs={
        'class' : 'form-control',
        'type' : 'password',
        'placeholder' : "Password",
        'required' : True,
    }))

home/views.py
from django.shortcuts import render, redirect
from .forms import *
from django.contrib.auth.models import User
from django.contrib.auth import authenticate, login, logout
from django.http import HttpResponseRedirect

# Create your views here.
def masuk(request):
    if request.method == "POST":
        form = buatlogin(request.POST)
        if form.is_valid():
            usrnm = form.cleaned_data["username"]
            psswrd = form.cleaned_data["password"]
            check = authenticate(request, username=usrnm, password=psswrd)
            if check is not None:
                login(request, check)
                return redirect('/')
            else:
                return redirect('/home/daftar/')
    else:
        form = buatlogin()
        response = {"form" : form}
        return render(request, "login.html", response)

def baru(request):
    if request.method == "POST":
        form = buatbaru(request.POST)
        if form.is_valid():
            usrnm = form.cleaned_data["username"]
            emailnya = form.cleaned_data["email"]
            psswrd = form.cleaned_data["password"]
            try:
                user = User.objects.get(username = usrnm)
                return redirect("/home/daftar/")
            except User.DoesNotExist:
                user = User.objects.create_user(usrnm, emailnya, psswrd)
                return redirect("/home/login")
    else:
        form = buatbaru()
        response = {"form":form}
        return render(request, "signup.html", response)

def keluar(request):
    logout(request)
    return redirect('/')

home/templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Susun Jadwal</title>
  
  <!-- CSS only -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'base.css' %}">
  
  <!-- JS, Popper.js, and jQuery -->
  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
</head>

<body>
  <div class="navigation">
    <div class="menu-bar">
      <nav class="navbar navbar-expand-lg navbar-light">
        <a class="navbar-brand" href="/">SusunDeadline</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
          <div class="navbar-nav ml-auto">
            {% if user.is_authenticated %}
            <a class="nav-link active" href="#">Hello, {{ user.get_username }}</a>
            <a class="nav-link" href="/daftarjadwal/daftarjadwal">Daftar Jadwal</a>
            <a class="nav-link" href="/daftarjadwal/susunjadwal">Buat Jadwal</a>
            <a class="nav-link" href="/daftarjadwal/cariJadwal">Cari Jadwal</a>
            <a class="nav-link" href="{% url 'artikelpage:artikel'%}">Artikel</a>
            <a class="nav-link" href="{% url 'artikelpage:add_article'%}">Add Article</a>
            <a class="nav-link" href="/quotes">Quotes</a>
            <a class="nav-link" href="/feedback">Feedback</a>
            <a class="nav-link" href="/faq">FAQ & Contacts</a>
            <a class="nav-link active" href="{% url 'home:logout' %}">Logout</a>

            {% else %}
            <a class="nav-link active" href="{% url 'home:login' %}">Login</a>
            <a class="nav-link active" href="{% url 'home:daftar' %}">Sign Up</a>

            {% endif %}
          </div>
        </div>
      </nav>
    </div>
    
  </div>
  {% block content %}

  {% endblock %}
</body>

</html>

home/templates/login.html
{% extends "base.html" %}
{% load static %}

{% block content %}
    <body>
        <h3 style="text-align: center;">Login</h3>
        <div class="form-group mx-auto" style="background-color: cadetblue; text-align: center;">
            <form method="POST">
                {% csrf_token %}
                <br> 
                {{ form.username }}
                <br>
                {{ form.password }}
                <br>
                <button type="submit" class="btn btn-primary" style="background-color:#AD2828; margin: 0 0 15px 0">Login</button>
            </form>
        </div>        
    </body>
{% endblock %}

home/templates/signup.html
{% include "base.html" %}
{% load static %}

<!DOCTYPE html>
<html>
    <body>
        <h3 style="text-align: center;">Sign Up</h3>
        <div class="form-group mx-auto" style="background-color: cadetblue; text-align: center;">
            <br>
            <form method="POST">
                {% csrf_token %}
                {{ form.username }}
                <br>
                {{ form.email }}
                <br>
                {{ form.password }}
                <br><br>
                <button type="submit" class="btn btn-primary" style="background-color: chartreuse;">Sign Up</button>
            </form>
        </div>        
    
    </body>
</html>